@use "mixins/buttons";

ux-dialog-overlay {
  bottom: 0;
  left: 0;
  position: fixed;
  top: 0;
  right: 0;
  opacity: 0;

  &.active {
    background-color: black;
    opacity: .5;
  }
}

ux-dialog-container {
  display: block;
  transition: opacity .2s linear;
  opacity: 0;
  overflow-x: hidden;
  overflow-y: auto;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;

  &.active {
    opacity: 1;
  }

  //& > div {
  //  padding: 30px;
  //}

  & > div > div {
    display: block;
    min-width: 300px;
    width: fit-content;
    height: fit-content;
    margin: auto;
  }
}

ux-dialog {
  display: block;
  background-color: var(--background-lighter);
  border-radius: var(--size-base);
  max-width: var(--size-base-48);
  min-width: var(--size-base-32);
  overflow: hidden;

  > ux-dialog-header {
    display: flex;
    background-color: var(--form-title-background);
    color: var(--header-text);
    padding: var(--size-base) var(--size-base-1-5) var(--size-base-0-75);
    font-size: 1.5rem;
    font-weight: bold;

    > .dialog-close {
      background-color: var(--button-background);
      cursor: pointer;
      margin: calc(var(--size-base) * -1) calc(var(--size-base-1-5) * -1) calc(var(--size-base-0-75) * -1) auto;
      padding: var(--size-base) var(--size-base-1-5) var(--size-base-0-75);

      &:focus, &:hover {
        background-color: var(--button-background-focus);
      }
    }
  }

  > ux-dialog-body {
    display: block;
    margin: var(--size-base-1-5);
  }

  > ux-dialog-footer {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    margin: calc(var(--size-base-1-5)*-1) var(--size-base-1-5) var(--size-base-2);

    button {
      @include buttons.button();
    }
  }
}

//.ux-dialog-open {
//  overflow: hidden;
//}
